Subject: Re: [bug#39013] [PATCH] gnu: Add abseil-cpp.

From: Ludovic Courtès <[email-masked]>
Date: Thu, 09 Jan 2020 22:53:11 +0100

Hi Roel,

Roel Janssen <[email-masked]> skribis:

> There are two not-so-perfect things with the patch:
> 1. I had to use the latest Git commit because it adds bits to build
> shared libraries.

Sounds good to me.

> 2. I disabled the tests because it attempts to download "googletest". 
> I tried modifying the build system to use "googletest" from Guix but
> that wasn't succesful.

There are packages such as ‘encfs’ where we simply unpack the source of
our ‘googletest’ package in the right place.  Would what work here?

> From 06ed0284561463c087ec0f16f9c35fc7926f22df Mon Sep 17 00:00:00 2001
> From: Roel Janssen <[email-masked]>
> Date: Tue, 7 Jan 2020 16:02:28 +0100
> Subject: [PATCH] gnu: Add abseil-cpp.
>
> * gnu/packages/machine-learning.scm (abseil-cpp): New variable.

[...]

> +      (description "Abseil is an open-source collection of C++ library code

s/an open-source/a/

> +designed to augment the C++ standard library.  The Abseil library code is
> +collected from Google's own C++ code base, has been extensively tested and
> +used in production, and is the same code we depend on in our daily coding
> +lives.")

Who’s “we”?  :-)  Would be great if you could make that more factual.

Apart from that it LGTM.

Thanks,
Ludo’.